[package]
name = "wankel-engine-wasm"
version.workspace = true
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true
readme.workspace = true
license-file.workspace = true

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html
[dependencies]
wankel-engine-platform = { path = "../wankel-engine-platform", version = "0.3" }
async-trait = "0.1"
web-sys = { version = "0.3", features = [
    "Response",
    "ReadableStream",
    "MessageEvent",
    "WebSocket",
    "ErrorEvent",
    "Blob",
    "BinaryType",
    "Window",
] }
wasm-bindgen = { version = "0.2" }
wasm-bindgen-futures = { version = "0.4" }
js-sys = { version = "0.3" }
instant = { version = "0.1", features = ["wasm-bindgen"] }
